# Generated by Django 3.2.7 on 2022-02-28 19:16

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('simpel_products', '0002_alter_product_is_sellable'),
    ]

    operations = [
        migrations.CreateModel(
            name='AnalysisMethod',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=128, verbose_name='test method')),
                ('slug', models.SlugField(blank=True, editable=False, max_length=80, null=True, unique=True)),
                ('description', models.TextField(blank=True, max_length=255, null=True, verbose_name='Description')),
                ('reference', models.URLField(blank=True, max_length=255, null=True, verbose_name='reference')),
            ],
            options={
                'verbose_name': 'Analisys Method',
                'verbose_name_plural': 'Analisys Methods',
                'db_table': 'simpel_analysis_method',
                'permissions': (('import_analysismethod', 'Can import Analisys Method'), ('export_analysismethod', 'Can export Analisys Method')),
            },
        ),
        migrations.CreateModel(
            name='Parameter',
            fields=[
                ('product_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='simpel_products.product')),
                ('unit_code', models.CharField(blank=True, max_length=122, null=True, verbose_name='Unit Code')),
                ('analysis_method', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='parameters', to='simpellab.analysismethod')),
            ],
            options={
                'verbose_name': 'Parameter',
                'verbose_name_plural': 'Parameters',
                'db_table': 'simpel_parameter',
                'permissions': (('export_parameter', 'Can export Parameter'), ('import_parameter', 'Can import Parameter')),
            },
            bases=('simpel_products.product',),
        ),
        migrations.CreateModel(
            name='ParameterMethod',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('min_quality_value', models.CharField(max_length=128, verbose_name='min quality value')),
                ('max_quality_value', models.CharField(max_length=128, verbose_name='max quality value')),
                ('method', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='parameter_methods', to='simpellab.analysismethod')),
                ('parameter', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='analysis_methods', to='simpellab.parameter')),
            ],
            options={
                'verbose_name': 'Parameter Method',
                'verbose_name_plural': 'Parameter Method',
                'db_table': 'simpel_parameter_method',
                'permissions': (('export_parametermethod', 'Can export Parameter Method'), ('import_parametermethod', 'Can import Parameter Method')),
            },
        ),
    ]
