# Generated by Django 3.2.7 on 2022-02-28 19:16

from django.conf import settings
import django.core.validators
from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('simpel_products', '0002_alter_product_is_sellable'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Blueprint',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(default=django.utils.timezone.now, editable=False)),
                ('name', models.CharField(blank=True, db_index=True, max_length=255, null=True, verbose_name='name')),
                ('note', models.TextField(blank=True, max_length=255, null=True, verbose_name='Note')),
                ('public', models.BooleanField(default=False, help_text='Make this blueprint public, everyone can copy an see this blueprint.')),
                ('product', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='blueprints', to='simpel_products.product')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='bluprints', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'Blueprints',
                'verbose_name_plural': 'Blueprints',
                'db_table': 'simpel_blueprint',
                'ordering': ('-created_at',),
                'index_together': {('user', 'product')},
            },
        ),
        migrations.CreateModel(
            name='BlueprintBundle',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('quantity', models.PositiveIntegerField(default=1, validators=[django.core.validators.MinValueValidator(1, message='Minimal value: 1'), django.core.validators.MaxValueValidator(500, message='Maximal value: 500')], verbose_name='Quantity')),
                ('blueprint', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='bundles', to='mod_blueprints.blueprint')),
                ('product', models.ForeignKey(limit_choices_to={'is_partial': True}, on_delete=django.db.models.deletion.PROTECT, related_name='blueprint_bundles', to='simpel_products.product')),
            ],
            options={
                'verbose_name': 'Blueprint Bundle',
                'verbose_name_plural': 'Blueprint Bundles',
                'db_table': 'simpel_blueprint_item_bundle',
                'unique_together': {('blueprint', 'product')},
                'index_together': {('blueprint', 'product')},
            },
        ),
    ]
